<?php
/************************************************************************/
/* NPDS : Net Portal Dynamic System                                     */
/* ================================                                     */
/* This version name NPDS Copyright (c) 2001-2002 by Philippe Brunier   */
/************************************************************************/
/* Original Copyright (c) [ 2007 ] Par [ OIM ]          */
/* Module   : [ ANNIVERSAIRE ]                                          */
/* Auteur   : [ OIM ]                                                   */
/* Mail     : [ MAIL DU DEVELOPPEUR ]                                   */
/* Site     : [ SITE DU DEVELOPPEUR ]                                   */
/************************************************************************/
/* MODULE DEVELOPPE POUR NPDS VERSION [ VERSION DU CORE NPDS ]          */
/************************************************************************/
/* [ MISE AU NORME ] Par [ JIRECK ] le [ 2012 ]                         */
/************************************************************************/
/* This NPDS modules is free software. You can redistribute it          */
/* and/or modify it under the terms of the GNU General Public License   */
/* as published by the Free Software Foundation; either version 2 of    */
/* the License.                                                         */
/************************************************************************/

##########################################################################
##
## CARTOUCHE FONCTIONNEL NPDS 

if (!stristr($_SERVER['PHP_SELF'],"modules.php")) { die(); }
if (strstr($ModPath,"..") || strstr($ModStart,"..") || stristr($ModPath, "script") || stristr($ModPath, "cookie") || stristr($ModPath, "iframe") || stristr($ModPath, "applet") || stristr($ModPath, "object") || stristr($ModPath, "meta") || stristr($ModStart, "script") || stristr($ModStart, "cookie") || stristr($ModStart, "iframe") || stristr($ModStart, "applet") || stristr($ModStart, "object") || stristr($ModStart, "meta")) {
   die();
}

global $language, $NPDS_Prefix;

if (!function_exists("sql_connect")) {
   include ("modules/$ModPath/retro-compat/mysql.php");
}

if (file_exists("modules/$ModPath/admin/pages.php")) {
   include ("modules/$ModPath/admin/pages.php");
}

include_once ("modules/$ModPath/lang/$language.php");
include ("modules/$ModPath/exemple.conf.php");
include ("modules/$ModPath/exemple.func.php");
include_once('cache.class.php');
include ("modules/$ModPath/cache.timings.php");

include ("header.php");

$ThisFile = "modules.php?ModPath=$ModPath&amp;ModStart=$ModStart";
$ThisRedo = "modules.php?ModPath=$ModPath&ModStart=$ModStart";

if (($cache_obj->genereting_output==1) or ($cache_obj->genereting_output==-1) or (!$SuperCache)) {

## CARTOUCHE FONCTIONNEL NPDS
##
##########################################################################

	
//DEBUT PRESENTATION//
function main() {
	
	global $ModPath, $ModStart, $NPDS_Prefix, $ThisFile, $user, $gmt;
		
	$eday = date('d',time()+($gmt*3600));
	$emonth = date('m',time()+($gmt*3600));
	$date = ''.$eday.'/'.$emonth.''; 
   
	Opentable();
		
		//Titre
		echo '<h2 align="center">'.anni_trad('Les Anniversaires').'</h2><br />'
				.'<table width="100%" cellspacing="2" cellpadding="2" border="0" class="header">'
				.'<tr valign="top">'
				.'<td class="titre" align="center" width="40%">'.anni_trad('Aujourd\'hui').'</td>'
				.'<td class="titre" align="center" width="60%"><a href="'.$ThisFile.'" class="rouge">'.anni_trad('Toute l\'ann&eacute;e').'</a></td>'					
				.'</tr>'
				.'<tr valign="top">'
				.'<td width="40%">';	
						
				$result = sql_query ('select us.uid, u.uname, u.user_avatar, u.user_regdate, u.mns from '.$NPDS_Prefix.'users_extend us, '.$NPDS_Prefix.'users u WHERE u.uid=us.uid and us.T1 LIKE \''.$date.'%\'');
				$total = sql_num_rows($result);
				if ($total>0) {
				while($temp_user = sql_fetch_assoc($result) ) {
					
				echo '<table width="100%" cellspacing="2" cellpadding="2" border="0" class="header">'
						.'<tr valign="top">'
						.'<td align="center" class="avatar_cadre" width="30%">';
												
						if ($ibid_avatar=avatar($temp_user[user_avatar]))
												
						echo '<img src="'.$ibid_avatar.'" border="0" alt="Avatar" title="Avatar" /></td>'
						.'<td align="left" width="70%">'.anni_trad('Pseudo : ').'<a href="user.php?op=userinfo&amp;uname='.$temp_user[uname].'" class="heada">'.$temp_user[uname].'</a><br />'.anni_trad('Inscription : ').''.date(translate('dateinternal'),$temp_user[user_regdate]).'<br />'.anni_trad('Blog : ').'';
								
						if ($temp_user[mns]) {
						$mns='<a href="minisite.php?op='.$temp_user[uname].'" alt="Blog" title="Blog" target="_blank" class="heada">'.anni_trad('Voir son blog').'</a>';
						} else {$mns='';}
											
						echo ''.$mns.''
						.'</td>'					
						.'</tr>'
						.'</table>';
				}
				} else { 
				echo '<br /><div align="center" class="rouge">'.anni_trad('Pas d\'anniversaire pour aujourd\'hui').'</div>'; }
				echo '</td>'
				.'<td width="60%">';
						$rowcolor=tablos();
						echo '<table width="100%" cellspacing="2" cellpadding="2" border="0" class="header">'
						.'<tr valign="top">'
						.'<td class="titre" align="center" width="25%">'.anni_trad('Janvier').'</a></td>'
						.'<td class="titre" align="center" width="25%">'.anni_trad('F&eacute;vrier').'</td>'
						.'<td class="titre" align="center" width="25%">'.anni_trad('Mars').'</td>'	
						.'<td class="titre" align="center" width="25%">'.anni_trad('Avril').'</td>'		
						.'</tr>'
						.'<tr Valign="top">'
						.'<td align="center" width="25%" '.$rowcolor.'>';
							
						$mo1='01';
						$mois1 = sql_query('select * from '.$NPDS_Prefix.'users_extend WHERE T1 LIKE \'%/'.$mo1.'/%\'');
						$ja = sql_num_rows($mois1);
						if ($ja > 1) $s01 = 's';
						echo '<br /><span class="rouge">'.$ja.'</span><br /> <a href="'.$ThisFile.'&amp;subop=detail&mo='.$mo1.'" class="noir">'.anni_trad('anniversaire').''.$s01.'</a><br />&nbsp;'		
						.'</td>'				
						.'<td align="center" width="25%">';
								
						$mo2='02';
						$mois2 = sql_query('select * from '.$NPDS_Prefix.'users_extend WHERE T1 LIKE \'%/'.$mo2.'/%\'');
						$fe = sql_num_rows($mois2);		
						if ($fe > 1) $s02 = 's';
						echo '<br /><span class="rouge">'.$fe.'</span><br /> <a href="'.$ThisFile.'&amp;subop=detail&mo='.$mo2.'" class="noir">'.anni_trad('anniversaire').''.$s02.'</a><br />&nbsp;'	
						.'</td>'				
						.'<td align="center" width="25%" '.$rowcolor.'>';
							
						$mo3='03';
						$mois3 = sql_query('select * from '.$NPDS_Prefix.'users_extend WHERE T1 LIKE \'%/'.$mo3.'/%\'');
						$ma = sql_num_rows($mois3);		
						if ($ma > 1) $s03 = 's';
						echo '<br /><span class="rouge">'.$ma.'</span><br /> <a href="'.$ThisFile.'&amp;subop=detail&mo='.$mo3.'" class="noir">'.anni_trad('anniversaire').''.$s03.'</a><br />&nbsp;'		
						.'</td>'	
						.'<td align="center" width="25%">';
							
						$mo4='04';
						$mois4 = sql_query('select * from '.$NPDS_Prefix.'users_extend WHERE T1 LIKE \'%/'.$mo4.'/%\'');
						$av = sql_num_rows($mois4);
						if ($av > 1) $s = 's';		
						echo '<br /><span class="rouge">'.$av.'</span><br /> <a href="'.$ThisFile.'&amp;subop=detail&mo='.$mo4.'" class="noir">'.anni_trad('anniversaire').''.$s04.'</a><br />&nbsp;'		
						.'</td>'		
						.'</tr>'
						.'<tr valign="top">'
						.'<td class="titre" align="center" width="25%">'.anni_trad('Mai').'</td>'			
						.'<td class="titre" align="center" width="25%">'.anni_trad('Juin').'</td>'			
						.'<td class="titre" align="center" width="25%">'.anni_trad('Juillet').'</td>'	
						.'<td class="titre" align="center" width="25%">'.anni_trad('Ao&ucirc;t').'</td>'	
						.'</tr>'
						.'<tr valign="top">'
						.'<td align="center" width="25%">';
							
						$mo5='05';
						$mois5 = sql_query('select * from '.$NPDS_Prefix.'users_extend WHERE T1 LIKE \'%/'.$mo5.'/%\'');
						$mai = sql_num_rows($mois5);
						if ($mai > 1) $s05 = 's';
						echo '<br /><span class="rouge">'.$mai.'</span><br /> <a href="'.$ThisFile.'&amp;subop=detail&mo='.$mo5.'" class="noir">'.anni_trad('anniversaire').''.$s05.'</a><br />&nbsp;'		
						.'</td>'			
						.'<td align="center" width="25%" '.$rowcolor.'>';
							
						$mo6='06';
						$mois6 = sql_query('select * from '.$NPDS_Prefix.'users_extend WHERE T1 LIKE \'%/'.$mo6.'/%\'');
						$juin = sql_num_rows($mois6);		
						if ($juin > 1) $s06 = 's';
						echo '<br /><span class="rouge">'.$juin.'</span><br /> <a href="'.$ThisFile.'&amp;subop=detail&mo='.$mo6.'" class="noir">'.anni_trad('anniversaire').''.$s06.'</a><br />&nbsp;'		
						.'</td>'				
						.'<td align="center" width="25%">';
							
						$mo7='07';
						$mois7 = sql_query('select * from '.$NPDS_Prefix.'users_extend WHERE T1 LIKE \'%/'.$mo7.'/%\'');
						$juillet = sql_num_rows($mois7);		
						if ($juillet > 1) $s07 = 's';
						echo '<br /><span class="rouge">'.$juillet.'</span><br /> <a href="'.$ThisFile.'&amp;subop=detail&mo='.$mo7.'" class="noir">'.anni_trad('anniversaire').''.$s07.'</a><br />&nbsp;'		
						.'</td>'	
						.'<td align="center" width="25%" '.$rowcolor.'>';
							
						$mo8='08';
						$mois8 = sql_query('select * from '.$NPDS_Prefix.'users_extend WHERE T1 LIKE \'%/'.$mo8.'/%\'');
						$aout = sql_num_rows($mois8);		
						if ($aout > 1) $s08 = 's';
						echo '<br /><span class="rouge">'.$aout.'</span><br /> <a href="'.$ThisFile.'&amp;subop=detail&mo='.$mo8.'" class="noir">'.anni_trad('anniversaire').''.$s08.'</a><br />&nbsp;'		
						.'</td>'		
						.'</tr>'				
						.'<tr valign="top">'
						.'<td class="titre" align="center" width="25%">'.anni_trad('Septembre').'</td>'
						.'<td class="titre" align="center" width="25%">'.anni_trad('Octobre').'</td>'				
						.'<td class="titre" align="center" width="25%">'.anni_trad('Novembre').'</td>'	
						.'<td class="titre" align="center" width="25%">'.anni_trad('D&eacute;cembre').'</td>'
						.'</tr>'	
						.'<tr valign="top">'
						.'<td align="center" width="25%" '.$rowcolor.'>';
							
						$mo9='09';
						$mois9 = sql_query('select * from '.$NPDS_Prefix.'users_extend WHERE T1 LIKE \'%/'.$mo9.'/%\'');
						$septembre = sql_num_rows($mois9);
						if ($septembre > 1) $s09 = 's';
						echo '<br /><span class="rouge">'.$septembre.'</span><br /> <a href="'.$ThisFile.'&amp;subop=detail&mo='.$mo9.'" class="noir">'.anni_trad('anniversaire').''.$s09.'</a><br />&nbsp;'	
						.'</td>'				
						.'<td align="center" width="25%">';
							
						$mo10='10';
						$mois10 = sql_query('select * from '.$NPDS_Prefix.'users_extend WHERE T1 LIKE \'%/'.$mo10.'/%\'');
						$octobre = sql_num_rows($mois10);		
						if ($octobre > 1) $s10 = 's';
						echo '<br /><span class="rouge">'.$octobre.'</span><br /> <a href="'.$ThisFile.'&amp;subop=detail&mo='.$mo10.'" class="noir">'.anni_trad('anniversaire').''.$s10.'</a><br />&nbsp;'		
						.'</td>'				
						.'<td align="center" width="25%" '.$rowcolor.'>';
							
						$mo11='11';
						$mois11 = sql_query('select * from '.$NPDS_Prefix.'users_extend WHERE T1 LIKE \'%/'.$mo11.'/%\'');
						$novembre = sql_num_rows($mois11);		
						if ($novembre > 1) $s11 = 's';
						echo '<br /><span class="rouge">'.$novembre.'</span><br /> <a href="'.$ThisFile.'&amp;subop=detail&mo='.$mo11.'" class="noir">'.anni_trad('anniversaire').''.$s11.'</a><br />&nbsp;'		
						.'</td>'				
						.'<td align="center" width="25%">';
							
						$mo12='12';
						$mois12 = sql_query('select * from '.$NPDS_Prefix.'users_extend WHERE T1 LIKE \'%/'.$mo12.'/%\'');
						$decembre = sql_num_rows($mois12);		
						if ($decembre > 1) $s12 = 's';
						echo '<br /><span class="rouge">'.$decembre.'</span><br /> <a href="'.$ThisFile.'&amp;subop=detail&mo='.$mo12.'" class="noir">'.anni_trad('anniversaire').''.$s12.'</a><br />&nbsp;'		
						.'</td>'	
						.'</tr>'							
						.'</table>'
					
				.'</td>'					
				.'</tr>'			
				.'</table>';
		
	Closetable();
	fin();
}
//FIN PRESENTATION//		

//DEBUT DETAIL//
function detail($mo) {

	global $ModPath, $ModStart, $NPDS_Prefix, $ThisFile, $user, $gmt;
		
	$eday=date('d',time()+($gmt*3600));
	$emonth =date('m',time()+($gmt*3600));
	$date = ''.$eday.'/'.$emonth.''; 
   
	Opentable();
		
		echo '<h2 align="center">'.anni_trad('Les Anniversaires').'</h2><br />'
		
				.'<table width="100%" cellspacing="2" cellpadding="2" border="0" class="header">'
				.'<tr Valign="top">'
				.'<td class="titre" align="center" width="40%">'.anni_trad('Aujourd\'hui').'</td>'
				.'<td class="titre" align="center" width="60%"><a href='.$ThisFile.' class="rouge">'.anni_trad('Toute l\'ann&eacute;e').'</a></td>'					
				.'</tr>'
				.'<tr valign="top">'
				.'<td width="40%">';	
				
				$result = sql_query('select us.uid, u.uname, u.user_avatar, u.user_regdate, u.mns from '.$NPDS_Prefix.'users_extend us, '.$NPDS_Prefix.'users u WHERE u.uid=us.uid and us.T1 LIKE \''.$date.'%\'');
			
				$total = sql_num_rows($result);
				if ($total>0) {
					while($temp_user = sql_fetch_assoc($result) ) {
						
						echo '<table width="100%" cellspacing="2" cellpadding="2" border="0" class="header">'
							.'<tr Valign="top">'
							.'<td align="center" class="avatar_cadre" width="30%">';
								
							if ($ibid_avatar=avatar($temp_user[user_avatar]))
							echo '<img src="'.$ibid_avatar.'" border="0" alt="Avatar" title="Avatar" /></td>'
							.'<td align="left" width="70%">'.anni_trad('Pseudo : ').'<a href="user.php?op=userinfo&amp;uname='.$temp_user[uname].'" class="heada">'.$temp_user[uname].'</a><br />'.anni_trad('Inscription : ').''.date(translate('dateinternal'),$temp_user[user_regdate]).'<br />'.anni_trad('Blog : ').'';
										
							if ($temp_user[mns]) {$mns='<a href="minisite.php?op='.$temp_user[uname].'" alt="Blog" title="Blog" target="_blank" class="heada">'.anni_trad('Voir son blog').'</a>';} else {$mns='';}
							echo ''.$mns.'</td>'					
							.'</tr>'
							.'</table>';
					}
				} else { 
					echo '<br /><div align="center" class="rouge">'.anni_trad('Pas d\'anniversaire pour aujourd\'hui').'</div>'; }
					echo '</td>'
					.'<td width="60%">';
						$rowcolor=tablos();
						echo '<table width="50%" align="center" cellspacing="2" cellpadding="2" border="0" class="header">'
						.'<tr>';
						 
						$result = sql_query('select us.uid, us.T1, u.uname, u.user_avatar, u.user_regdate, u.mns from '.$NPDS_Prefix.'users_extend us, '.$NPDS_Prefix.'users u WHERE u.uid=us.uid and us.T1 LIKE \'%/'.$mo.'/%\'');
						
						$patterns = array('/01/', '/02/','/03/','/04/','/05/','/06/','/07/','/08/','/09/','/10/','/11/','/12/');
						$replacements = array('janvier', 'f&eacute;vrier', 'mars', 'avril', 'mai', 'juin', 'juillet', 'ao&ucirc;t', 'septembre', 'octobre', 'novembre', 'd&eacute;cembre');
						$mo = preg_replace($patterns, $replacements, $mo);
						
						echo '<td align="center" class="titre">'.anni_trad('Mois ').''.$mo.'</td>'				
						.'</tr>'	
						.'<tr valign="top"><td '.$rowcolor.'><ul>';
						
						while (list($uid,$T1,$uname) =  sql_fetch_row($result)) {
							echo '<li><a href="user.php?op=userinfo&amp;uname='.$uname.'">'.$uname.' ('.$T1.')</a></li>';
						}				
						echo '</ul></td>'		
						.'</tr>'			
						.'</table>'
					
				.'</td>'					
				.'</tr>'			
				.'</table>';
		
	Closetable();
	fin();
}
//FIN DETAIL//

//DEBUT FIN//
function fin() {
	Opentable();
		
		echo '<table width="100%" cellspacing="2" cellpadding="2" border="0" class="header">'
				.'<tr Valign="top">'
				.'<td align="center"><img src="modules/upload/upload/%21divers/1-mini.gif" /> '.anni_trad('Les membres qui n\'ont pas remplis le champ Anniversaire dans leur compte : ').'';	
				
				$result = sql_query('select us.uid, u.uname, u.user_avatar, u.user_regdate, u.mns from '.$NPDS_Prefix.'users_extend us, '.$NPDS_Prefix.'users u WHERE u.uid=us.uid and us.T1=\'\'');
				while($temp_user = sql_fetch_assoc($result) ) {
				echo '<span class="rouge"> - '.$temp_user[uname].'</span>';
				}
				echo '</td>'					
				.'</tr>'		
				.'</table>';			
		
	Closetable();	
}
//FIN FIN//

//DEBUT AFFICHE AVATAR//
function avatar($user_avatar) {
	if (!$user_avatar) {
		$imgtmp='images/forum/avatar/blank.gif';
	} else if (stristr($user_avatar,'users_private')) {
		$imgtmp=$user_avatar;
	} else {
		if ($ibid=theme_image('forum/avatar/'.$user_avatar.'')) {$imgtmp=$ibid;} else {$imgtmp='images/forum/avatar/'.$user_avatar.'';}
		if (!file_exists($imgtmp)) {$imgtmp='images/forum/avatar/blank.gif';}
	}
	return ($imgtmp);
}
//FIN AFFICHE AVATAR//

switch ($subop) {
	//Page principale
	default:main();break;
	
	//Detail
	case 'detail':detail($mo);break;	
	
	//Fin page
	case 'fin':fin();break;	
	
	//Affichage avatar
	case 'avatar': ($user_avatar);break;
}

##########################################################################
##
## CARTOUCHE FONCTIONNEL NPDS

   }

   if ($SuperCache) {
      $cache_obj->endCachingPage();
   }
   include("footer.php");
   
## CARTOUCHE FONCTIONNEL NPDS
##
##########################################################################
?>
